Subject: Case #37020952
From: "Mike" <[email-masked]>
To: <[email-masked]>
Date: Fri, 26 Feb 2010 15:51:59 -0500

Hi Terry.
I received a correspondence by mail today regarding non-response to case #37020952 .  You might remember that this was the order we had spoken about over the phone on 2/22/10.  You had told me you were forwarding me the link and to respond to the complaint at that time (which I did).  Apparently the case closed on the Feb 23rd.  My response was not submitted until the 24th.  Is there a way you can update the file to show that I did respond sooner or that the case was closed with my answer included?  Just trying to get things cleaned up in the best possible way.  Much appreciated!
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]